Conteníu

# DDB Function [VBA]

Returns the depreciation of an asset for a specified period using the arithmetic-declining method.

This constant, function or object is enabled with the statement Option VBASupport 1 placed before the executable program code in a module.

### Syntax:

    DDB(Cost As Double, Salvage As Double, Life as Double, Period as Double, [Factor as Variant])

### Return value:

Double

### Parameters:

Costu afita'l costu inicial d'un activu.

Salvamentu afita'l valor d'un activu a la fin de la so vida.

Vida ye'l númberu de períodos (por exemplu, años o meses) que definen la duración del usu del activu.

Períodu define'l períodu pal que tien de calculase'l valor.

Factor (opcional) ye'l factor pol que mengua l'amortización. Si nun s'indica un valor, el factor predetermináu ye 2.

Esta forma de depreciación ye l'afayadiza si precisa un valor más altu de depreciación inicial, a diferencia de la depreciación llinial. El valor de depreciación mengua con cada períodu; suel utilizase naquellos activos que pierden más valor pocu dempués de la so alquisición (por exemplu, automóviles o equipos informáticos). Tenga en cuenta que'l valor contable nunca va llegar a cero con esti tipu de cálculu.

### Error codes:

5 Llamada a procedimientu non válida

### Example:

    Sub ExampleDDB
     Dim ddb_yr1 As Double
     ddb_yr1 = DDB(75000,1,60,12,2)
     Print ddb_yr1 ' returns 1,721.81 currency units.
    End Sub

Temes rellacionaos

DDB function in CALC

VBA financial functions